Repository 32bit  Forum
Repository 64bit  Wiki

problemi con compat32

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

problemi con compat32

Messaggioda kommos » mar nov 01, 2011 18:07

dal sito slackeu ho scaricato compat32 già pacchettizato.
il file txz lo ha creato ma da questo errore
Codice: Seleziona tutto
zero length file etc/pango/i486-slackware-linux/pango.modules

e quindi la mia slackware non è multlib
avete suggerimenti per risolvere il problema?
kommos
Linux 2.0
Linux 2.0
 
Messaggi: 110
Iscritto il: mer giu 15, 2011 23:41
Slackware: 13.37
Desktop: xfce

Re: problemi con compat32

Messaggioda targzeta » mar nov 01, 2011 18:24

Quello che hai postato non è un errore, ma un warning. Se hai degli errori vanno ricercati altrove.

Emanuele
Linux Registered User #454438
Se pensi di essere troppo piccolo per fare la differenza, prova a dormire con una zanzara -- Dalai Lama
20/04/2013 - Io volevo Rodotà
Avatar utente
targzeta
Iper Master
Iper Master
 
Messaggi: 6185
Iscritto il: gio nov 03, 2005 14:05
Località: Carpignano Sal. (LE) <-> Pisa
Nome Cognome: Emanuele Tomasi
Slackware: current
Kernel: latest stable
Desktop: IceWM

Re: problemi con compat32

Messaggioda miklos » mar nov 01, 2011 18:25

credo che sia normale.
quel file è una sorta di segnaposto che si dovrebbe aggiornare al prossimo avvio.
ci sono infatti degli script all'avvio che aggiornano delle cose relative ai moduli pango, loader gdk e via dicendo(sono eseguiti verso la fine del boot)
queste informazioni devono essere tenute aggiornate sia per le gtk a 32 che per quelle a 64 bit per poter consentire una corretta visualizzazione delle applicazioni gtk in generale.

gli script di serie che fanno sto lavoro su un sistema a 64bit sono in grado di capire se c'e' un'installazione multilib proprio dalla presenza di questo segnaposto.
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1235
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: problemi con compat32

Messaggioda kommos » mar nov 01, 2011 18:38

non mi va multilib.
dipende da un aggiornamento che ho fatto prima?
comunque ho rifatto l'installazione del compat32,dovrebbe andare,invece no.
quale puo essere il problema?
kommos
Linux 2.0
Linux 2.0
 
Messaggi: 110
Iscritto il: mer giu 15, 2011 23:41
Slackware: 13.37
Desktop: xfce

Re: problemi con compat32

Messaggioda miklos » mar nov 01, 2011 19:14

kommos ha scritto:non mi va multilib.

scusami se te lo chiedo, ma in base a cosa dici che non ti va??!?!
che programma a 32bit stai tentando di far andare nel tuo sistema?!??!

se ci fosse un problema con quello che hai segnalato tu (pango.modules).. alle brutte non vedresti le icone e i caratteri correttamente nella tua applicazione gtk a 32bit.
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1235
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: problemi con compat32

Messaggioda erio » mar nov 01, 2011 19:18

prova a installare peazip se ti gira le librerie a 32 bit funzionano
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1083
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: problemi con compat32

Messaggioda kommos » mar nov 01, 2011 19:23

da wine:
Codice: Seleziona tutto
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking for cpp... cpp
checking whether gcc -m32 works... no
configure: error: Cannot build a 32-bit program, you need to install 32-bit development libraries.

wine:
Would you like to continue processing the rest of the
build queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.
kommos
Linux 2.0
Linux 2.0
 
Messaggi: 110
Iscritto il: mer giu 15, 2011 23:41
Slackware: 13.37
Desktop: xfce

Re: problemi con compat32

Messaggioda miklos » mar nov 01, 2011 19:27

se stai cercando di compilare wine allora le lib che stanno qui non vanno bene.. devi installarti le multilib complete di alienbob, che includono pure un compilatore a 32bit.

anche se per come la vedo io ottieni lo stesso risultato se prendi un pacchetto gia' compilato a 32bit e lo converti in modo che non faccia casino su un sistema multilib
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1235
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: problemi con compat32

Messaggioda kommos » mar nov 01, 2011 19:52

miklos ha scritto:se stai cercando di compilare wine allora le lib che stanno qui non vanno bene.. devi installarti le multilib complete di alienbob, che includono pure un compilatore a 32bit.

anche se per come la vedo io ottieni lo stesso risultato se prendi un pacchetto gia' compilato a 32bit e lo converti in modo che non faccia casino su un sistema multilib

io ho fatto
sbopkg -i wine
ora provo con altri programmi a 32 bit
Edit
prima non riuscivo ad installare programmi a 32 bit.
Ho rieseguito la procedura di installazione di compat32 ed ora, sembra che funziona.
kommos
Linux 2.0
Linux 2.0
 
Messaggi: 110
Iscritto il: mer giu 15, 2011 23:41
Slackware: 13.37
Desktop: xfce

Re: problemi con compat32

Messaggioda miklos » mar nov 01, 2011 20:11

kommos ha scritto:sbopkg -i wine

e infatti.. come ti spiegavo prima stai tentando di compilarlo... sbopkg scarica sorgente e slackbuild e ti crea il pacchetto compilandolo.
ma con le compat32 che hai scaricato non ci riuscirai perchè non contiene una versione del compilatore gcc in grado di crearti pacchetti a 32bit. devi installarti le multilib di alien se vuoi compilare software a 32bit.
vai qui e leggi un po' la documentazione.. piu' in basso ti spiega come prepare il tuo ambiente per compilare software a 32bit.

comunque il mio consiglio, se vuoi installare wine a 32bit è questo:

1) scaricati dal repository a 32bit di slacky i pacchetti di wine + dipendenze
2) installati il tool
http://connie.slackware.com/~alien/multilib/13.37/compat32-tools-2.1-noarch-9alien.tgz
3) converti tramite il tool del punto 2 i pacchetti che ti sei scaricato in pacchetti che puoi tranquillamente installare su un ambiente multilib
4) installali

io ho fatto cosi' una volta e devo dire che non ho avuto problemi con wine
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1235
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: problemi con compat32

Messaggioda kommos » mar nov 01, 2011 20:20

miklos ha scritto:
kommos ha scritto:sbopkg -i wine

e infatti.. come ti spiegavo prima stai tentando di compilarlo... sbopkg scarica sorgente e slackbuild e ti crea il pacchetto compilandolo.
ma con le compat32 che hai scaricato non ci riuscirai perchè non contiene una versione del compilatore gcc in grado di crearti pacchetti a 32bit. devi installarti le multilib di alien se vuoi compilare software a 32bit.
vai qui e leggi un po' la documentazione.. piu' in basso ti spiega come prepare il tuo ambiente per compilare software a 32bit.

comunque il mio consiglio, se vuoi installare wine a 32bit è questo:

1) scaricati dal repository a 32bit di slacky i pacchetti di wine + dipendenze
2) installati il tool
http://connie.slackware.com/~alien/multilib/13.37/compat32-tools-2.1-noarch-9alien.tgz
3) converti tramite il tool del punto 2 i pacchetti che ti sei scaricato in pacchetti che puoi tranquillamente installare su un ambiente multilib
4) installali

io ho fatto cosi' una volta e devo dire che non ho avuto problemi con wine

grazie del consiglio
kommos
Linux 2.0
Linux 2.0
 
Messaggi: 110
Iscritto il: mer giu 15, 2011 23:41
Slackware: 13.37
Desktop: xfce

Re: problemi con compat32

Messaggioda ZeroUno » mer nov 02, 2011 23:09

miklos ha scritto:comunque il mio consiglio, se vuoi installare wine a 32bit è questo:

1) scaricati dal repository a 32bit di slacky i pacchetti di wine + dipendenze
2) installati il tool
http://connie.slackware.com/~alien/multilib/13.37/compat32-tools-2.1-noarch-9alien.tgz
3) converti tramite il tool del punto 2 i pacchetti che ti sei scaricato in pacchetti che puoi tranquillamente installare su un ambiente multilib
4) installali


Forse sarebbe utile installare dentro il pacchettone compat32-libraries anche un "installpkg32" che faccia in automatico (o quasi) tutto questo.
Che ne pensi?
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4411
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: problemi con compat32

Messaggioda miklos » gio nov 03, 2011 11:59

sicuramente aggiungerei compat32-tools-2.1-noarch-9alien.tgz.
l'idea di un tool semi-automatico non è male, avevi già in mente quale parte del processo automatizzare!?!?!? forse il download non è macchinoso da implementare.. pero' forse aggiungere un ulteriore file di conf potrebbe essere scomodo :D
che dici!??!?!
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1235
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Re: problemi con compat32

Messaggioda ZeroUno » gio nov 03, 2011 16:22

No, nessun download.
Semplicemente
# installpkg32 nomepacchetto-000-i386-1.txz
farebbe
- converti il pacchetto con il tool di alien o similare
- rinominalo in nomepacchetto32-000-i386-1.txz
- installpkg nomepacchetto32-000-i386-1.txz
fine
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg
Codice: Seleziona tutto
1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111
Avatar utente
ZeroUno
Staff
Staff
 
Messaggi: 4411
Iscritto il: ven giu 02, 2006 13:52
Località: Roma / Castelli
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current

Re: problemi con compat32

Messaggioda miklos » gio nov 03, 2011 17:45

ZeroUno ha scritto:No, nessun download.
Semplicemente
# installpkg32 nomepacchetto-000-i386-1.txz
farebbe
- converti il pacchetto con il tool di alien o similare
- rinominalo in nomepacchetto32-000-i386-1.txz
- installpkg nomepacchetto32-000-i386-1.txz
fine

cosi' sarebbe perfetto :D
ho visto cose che voi astemi non potete immaginare
miklos
Linux 3.x
Linux 3.x
 
Messaggi: 1235
Iscritto il: lun lug 16, 2007 16:39
Località: Roma
Slackware: 14.1 64bit
Kernel: 3.16.3
Desktop: openbox 3.5.2

Prossimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 2 ospiti